Main Page Class Hierarchy Compound List File List Compound Members File Members

# bitmap.h File Reference

`#include <windows.h>`
`#include "types.h"`
`#include "node.h"`
`#include "rectangle.h"`

Go to the source code of this file.

## Compounds
class | Abitmap
| a class memory bitmap that manage all bitmap operation. More...
## Defines
#define | guidBITMAP (Abitmap::CI.guid)
#define | bitmapMAXSIZE 8192
#define | lineaSATURATION bitmapSATURATION
#define | bitmapSATURATION (1<<31)
| bitmap flags. More...
#define | bitmapGLOBALALPHA (1<<30)
#define | bitmapALPHA (1<<29)
#define | bitmapCOLORKEY (1<<28)
#define | bitmapBLACK 0xff000000
| bitmap colors 32. More...
#define | bitmapRED 0xffff0000
#define | bitmapGREEN 0xff00ff00
#define | bitmapBLUE 0xff0000ff
#define | bitmapYELLOW 0xffffff00
#define | bitmapCYAN 0xff00ffff
#define | bitmapMAGENTA 0xffff00ff
#define | bitmapWHITE 0xffffffff
#define | bitmapGRAY 0xff808080
#define | bitmapDARKGRAY 0xff404040
#define | bltmodeSRC 0
| bitmap flags for overlay. More...
#define | bltmodeXOR 1
#define | bltmodeOR 2
#define | bltmodeAND 3
#define | bitmapBMP 0
| bitmap format for saving. More...
#define | bitmapPNG 1
#define | bitmapJPG 2
## Enumerations
enum | { lineaNORMAL, lineaADD, lineaSUB, lineaXOR, lineaOLDALPHA }
| linea mode. More...
enum | { bitmapNORMAL = 0, bitmapOR, bitmapXOR, bitmapAND, bitmapADD, bitmapSUB }
| bitmap states. More...
## Functions
__inline word | color32to16 (dword color)
__inline dword | color16to32 (word color)
__inline void | colorRGB (byte *r, byte *g, byte *b, dword color)
__inline void | colorRGBA (byte *r, byte *g, byte *b, byte *a, dword color)
__inline void | colorRGB (byte *r, byte *g, byte *b, word color)
__inline dword | color32 (byte r, byte g, byte b)
__inline dword | color32 (byte r, byte g, byte b, byte a)
__inline word | color16 (byte r, byte g, byte b)
__inline void | rgb2hls (float *h, float *l, float *s, byte r0, byte g0, byte b0)
__inline float | hls2rgb_rgb (float p1, float p2, float h)
__inline void | hls2rgb (float h, float l, float s, byte *r, byte *g, byte *b)

## Define Documentation

#define bitmapALPHA (1<<29)

#define bitmapBLACK 0xff000000

| bitmap colors 32.

#define bitmapBLUE 0xff0000ff

#define bitmapBMP 0

| bitmap format for saving.

#define bitmapCOLORKEY (1<<28)

#define bitmapCYAN 0xff00ffff

#define bitmapDARKGRAY 0xff404040

#define bitmapGLOBALALPHA (1<<30)

#define bitmapGRAY 0xff808080

#define bitmapGREEN 0xff00ff00

#define bitmapJPG 2

#define bitmapMAGENTA 0xffff00ff

#define bitmapMAXSIZE 8192

#define bitmapPNG 1

#define bitmapRED 0xffff0000

#define bitmapSATURATION (1<<31)

| bitmap flags.

#define bitmapWHITE 0xffffffff

#define bitmapYELLOW 0xffffff00

#define bltmodeAND 3

#define bltmodeOR 2

#define bltmodeSRC 0

| bitmap flags for overlay.

#define bltmodeXOR 1

#define guidBITMAP (Abitmap::CI.guid)

#define lineaSATURATION bitmapSATURATION

## Enumeration Type Documentation

anonymous enum

  | linea mode. Enumeration values:
  lineaNORMAL |
  lineaADD |
  lineaSUB |
  lineaXOR |
  lineaOLDALPHA |

anonymous enum

  | bitmap states. Enumeration values:
  bitmapNORMAL |
  bitmapOR |
  bitmapXOR |
  bitmapAND |
  bitmapADD |
  bitmapSUB |

## Function Documentation

__inline word color16 | ( | byte | r,
|  | byte | g,
|  | byte | b
| ) |

__inline dword color16to32 | ( | word | color | ) |

__inline dword color32 | ( | byte | r,
|  | byte | g,
|  | byte | b,
|  | byte | a
| ) |

__inline dword color32 | ( | byte | r,
|  | byte | g,
|  | byte | b
| ) |

__inline word color32to16 | ( | dword | color | ) |

__inline void colorRGB | ( | byte * | r,
|  | byte * | g,
|  | byte * | b,
|  | word | color
| ) |

__inline void colorRGB | ( | byte * | r,
|  | byte * | g,
|  | byte * | b,
|  | dword | color
| ) |

__inline void colorRGBA | ( | byte * | r,
|  | byte * | g,
|  | byte * | b,
|  | byte * | a,
|  | dword | color
| ) |

__inline void hls2rgb | ( | float | h,
|  | float | l,
|  | float | s,
|  | byte * | r,
|  | byte * | g,
|  | byte * | b
| ) |

__inline float hls2rgb_rgb | ( | float | p1,
|  | float | p2,
|  | float | h
| ) |

__inline void rgb2hls | ( | float * | h,
|  | float * | l,
|  | float * | s,
|  | byte | r0,
|  | byte | g0,
|  | byte | b0
| ) |